Ubiquity 2.4.8 crash on Eee 701

Bug #712659 reported by danstowell on 2011-02-03
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Puredyne Live
Critical
Rob Canning

Bug Description

Ubiquity 2.4.8 crashes on my Eee 701. This is from /var/syslog:

Feb 3 16:48:54 puredyne python: mkdir /var/lib/ubiquity/source
Feb 3 16:48:54 puredyne ubiquity: /dev/loop1
Feb 3 16:48:54 puredyne ubiquity: : No such file or directory
Feb 3 16:48:54 puredyne python: log-output -t ubiquity losetup /dev/loop1#012 /live/image/live/filesystem.squashfs
Feb 3 16:48:54 puredyne ubiquity: mount: special device /dev/loop1
Feb 3 16:48:54 puredyne ubiquity: does not exist
Feb 3 16:48:54 puredyne ubiquity:
Feb 3 16:48:54 puredyne python: log-output -t ubiquity mount /dev/loop1#012 /var/lib/ubiquity/source
Feb 3 16:48:54 puredyne ubiquity: loop: can't delete device /dev/loop1
Feb 3 16:48:54 puredyne ubiquity: : No such file or directory
Feb 3 16:48:54 puredyne python: log-output -t ubiquity losetup -d /dev/loop1
Feb 3 16:48:54 puredyne python: log-output -t ubiquity mount -o loop /live/image/live/filesystem.squashfs /var/lib/ubiquity/source
Feb 3 16:48:55 puredyne python: Exception during installation:
Feb 3 16:48:55 puredyne python: Traceback (most recent call last):
Feb 3 16:48:55 puredyne python: File "/usr/share/ubiquity/install.py", line 608, in <module>
Feb 3 16:48:55 puredyne python: install.run()
Feb 3 16:48:55 puredyne python: File "/usr/share/ubiquity/install.py", line 122, in run
Feb 3 16:48:55 puredyne python: self.copy_all()
Feb 3 16:48:55 puredyne python: File "/usr/share/ubiquity/install.py", line 299, in copy_all
Feb 3 16:48:55 puredyne python: assert os.path.exists(fs_size), "Missing filesystem.size."
Feb 3 16:48:55 puredyne python: AssertionError: Missing filesystem.size.
Feb 3 16:48:55 puredyne python:

This is similar to problems we've had in the past, though I haven't found the right info in the archives yet. Previously the solution was to update ubiquity from 2.0.7 to 2.0.9 but we're way beyond that now.

danstowell (danstowell) on 2011-02-03
Changed in puredyne-live:
importance: Undecided → Critical
milestone: none → 10.10
danstowell (danstowell) wrote :

UH I get a really bad crash when I try ubiquity now. (Seems to kill X.) Can someone please report back: have you successfully run ubiquity from a gazpacho alpha?

EEE pc 701 on my side I can start ubiquity and get it to the installer
- didn't try to install anything yet though -

it seems to be running fine for me - alpha3 - using unetbooting on
fat16 usbstick

On Sun, Feb 13, 2011 at 3:11 PM, danstowell <email address hidden> wrote:
> UH I get a really bad crash when I try ubiquity now. (Seems to kill X.)
> Can someone please report back: have you successfully run ubiquity from
> a gazpacho alpha?
>
> --
> You received this bug notification because you are a member of puredyne
> team, which is the registrant for Puredyne Live.
> https://bugs.launchpad.net/bugs/712659
>
> Title:
>  Ubiquity 2.4.8 crash on Eee 701
>
> Status in Puredyne liveCD/DVD/USB/HD:
>  New
>
> Bug description:
>  Ubiquity 2.4.8 crashes on my Eee 701. This is from /var/syslog:
>
>  Feb  3 16:48:54 puredyne python: mkdir /var/lib/ubiquity/source
>  Feb  3 16:48:54 puredyne ubiquity: /dev/loop1
>  Feb  3 16:48:54 puredyne ubiquity: : No such file or directory
>  Feb  3 16:48:54 puredyne python: log-output -t ubiquity losetup /dev/loop1#012 /live/image/live/filesystem.squashfs
>  Feb  3 16:48:54 puredyne ubiquity: mount: special device /dev/loop1
>  Feb  3 16:48:54 puredyne ubiquity:  does not exist
>  Feb  3 16:48:54 puredyne ubiquity:
>  Feb  3 16:48:54 puredyne python: log-output -t ubiquity mount /dev/loop1#012 /var/lib/ubiquity/source
>  Feb  3 16:48:54 puredyne ubiquity: loop: can't delete device /dev/loop1
>  Feb  3 16:48:54 puredyne ubiquity: : No such file or directory
>  Feb  3 16:48:54 puredyne python: log-output -t ubiquity losetup -d /dev/loop1
>  Feb  3 16:48:54 puredyne python: log-output -t ubiquity mount -o loop /live/image/live/filesystem.squashfs /var/lib/ubiquity/source
>  Feb  3 16:48:55 puredyne python: Exception during installation:
>  Feb  3 16:48:55 puredyne python: Traceback (most recent call last):
>  Feb  3 16:48:55 puredyne python:   File "/usr/share/ubiquity/install.py", line 608, in <module>
>  Feb  3 16:48:55 puredyne python:     install.run()
>  Feb  3 16:48:55 puredyne python:   File "/usr/share/ubiquity/install.py", line 122, in run
>  Feb  3 16:48:55 puredyne python:     self.copy_all()
>  Feb  3 16:48:55 puredyne python:   File "/usr/share/ubiquity/install.py", line 299, in copy_all
>  Feb  3 16:48:55 puredyne python:     assert os.path.exists(fs_size), "Missing filesystem.size."
>  Feb  3 16:48:55 puredyne python: AssertionError: Missing filesystem.size.
>  Feb  3 16:48:55 puredyne python:
>
>
>  This is similar to problems we've had in the past, though I haven't found the right info in the archives yet. Previously the solution was to update ubiquity from 2.0.7 to 2.0.9 but we're way beyond that now.
>
>
>
> _______________________________________________
> Mailing list: https://launchpad.net/~puredyne-team
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~puredyne-team
> More help   : https://help.launchpad.net/ListHelp
>

damaru (gef-ponnuki) wrote :
Download full text (3.2 KiB)

It seems to crash x though (the mouse pointer changes to the other
side - but I still can get trough most of the ubiquity menu - I didn't
format my hd though nor did the installation yet

On Sun, Feb 13, 2011 at 10:13 PM, geoffroy tremblay <email address hidden> wrote:
> EEE pc 701 on my side I can start ubiquity and get it to the installer
> - didn't try to install anything yet though -
>
> it seems to be running fine for me - alpha3 - using unetbooting on
> fat16 usbstick
>
>
>
> On Sun, Feb 13, 2011 at 3:11 PM, danstowell <email address hidden> wrote:
>> UH I get a really bad crash when I try ubiquity now. (Seems to kill X.)
>> Can someone please report back: have you successfully run ubiquity from
>> a gazpacho alpha?
>>
>> --
>> You received this bug notification because you are a member of puredyne
>> team, which is the registrant for Puredyne Live.
>> https://bugs.launchpad.net/bugs/712659
>>
>> Title:
>>  Ubiquity 2.4.8 crash on Eee 701
>>
>> Status in Puredyne liveCD/DVD/USB/HD:
>>  New
>>
>> Bug description:
>>  Ubiquity 2.4.8 crashes on my Eee 701. This is from /var/syslog:
>>
>>  Feb  3 16:48:54 puredyne python: mkdir /var/lib/ubiquity/source
>>  Feb  3 16:48:54 puredyne ubiquity: /dev/loop1
>>  Feb  3 16:48:54 puredyne ubiquity: : No such file or directory
>>  Feb  3 16:48:54 puredyne python: log-output -t ubiquity losetup /dev/loop1#012 /live/image/live/filesystem.squashfs
>>  Feb  3 16:48:54 puredyne ubiquity: mount: special device /dev/loop1
>>  Feb  3 16:48:54 puredyne ubiquity:  does not exist
>>  Feb  3 16:48:54 puredyne ubiquity:
>>  Feb  3 16:48:54 puredyne python: log-output -t ubiquity mount /dev/loop1#012 /var/lib/ubiquity/source
>>  Feb  3 16:48:54 puredyne ubiquity: loop: can't delete device /dev/loop1
>>  Feb  3 16:48:54 puredyne ubiquity: : No such file or directory
>>  Feb  3 16:48:54 puredyne python: log-output -t ubiquity losetup -d /dev/loop1
>>  Feb  3 16:48:54 puredyne python: log-output -t ubiquity mount -o loop /live/image/live/filesystem.squashfs /var/lib/ubiquity/source
>>  Feb  3 16:48:55 puredyne python: Exception during installation:
>>  Feb  3 16:48:55 puredyne python: Traceback (most recent call last):
>>  Feb  3 16:48:55 puredyne python:   File "/usr/share/ubiquity/install.py", line 608, in <module>
>>  Feb  3 16:48:55 puredyne python:     install.run()
>>  Feb  3 16:48:55 puredyne python:   File "/usr/share/ubiquity/install.py", line 122, in run
>>  Feb  3 16:48:55 puredyne python:     self.copy_all()
>>  Feb  3 16:48:55 puredyne python:   File "/usr/share/ubiquity/install.py", line 299, in copy_all
>>  Feb  3 16:48:55 puredyne python:     assert os.path.exists(fs_size), "Missing filesystem.size."
>>  Feb  3 16:48:55 puredyne python: AssertionError: Missing filesystem.size.
>>  Feb  3 16:48:55 puredyne python:
>>
>>
>>  This is similar to problems we've had in the past, though I haven't found the right info in the archives yet. Previously the solution was to update ubiquity from 2.0.7 to 2.0.9 but we're way beyond that now.
>>
>>
>>
>> _______________________________________________
>> Mailing list: https://launchpad.net/~puredyne-team
>> Post to     : <email address hidden>
>> Unsubsc...

Read more...

rickbol (rickbolgm) wrote :

Same issue here. Trying to install from usb (unetbootin) to hd. Work thru partitioner, specify TZ, dialog for new user properties paints to screen, then crash. Same complaint in /var/syslog: Missing filesystem.size.

Rob Canning (rob-goto10) wrote :

ok i think i have cracked this after hours of headaches! - so its all about lack of aes support for mounting loop devices - maybe crept in with new kernel - all you need to do is add loop-aes-utils and the installer will work - i will build a new iso now on buiilder to triple check this and close the bug

you can just aptitude install loop-aes-utils from the live version and then run ubiquity and you should be good to go!

Changed in puredyne-live:
assignee: nobody → Rob Canning (rob-goto10)
status: New → In Progress
Rob Canning (rob-goto10) on 2011-07-18
Changed in puredyne-live:
status: In Progress → Fix Committed
danstowell (danstowell) wrote :

On a virtual machine, I can replicate the problem, and Rob's fix fixes it (THANKS!). Not tested with a real live stick (or an Eee 701)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers